# Update a job type

Updates a job type using its identifier.

Endpoint: PUT /api/v2/cm/job-types/{jobTypeId}
Version: v2.0
Security: OAuth2.0

## Path parameters:

  - `jobTypeId` (string, required)
    The unique identifier of the job type.

## Request fields (application/json-patch+json):

  - `name` (string,null)

  - `description` (string,null)

  - `options` (object)

  - `options.canBeStopped` (boolean)

  - `options.canCallback` (boolean)

  - `steps` (array,null)

  - `steps.name` (string,null)

  - `steps.description` (string,null)

  - `steps.taskTypeId` (string,null)

  - `steps.taskId` (string,null)

  - `steps.executionMode` (string)
    Enum: "Strict", "Lenient", "Selective"

## Response 400 fields (text/plain):

  - `errors` (object,null)

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 404 fields (text/plain):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


## Response 204 fields

## Response 401 fields

## Response 403 fields

## Response 500 fields
